# Fetch Release Activities

Fetch a list of activities based on the startTime, endTime and release Id.

Endpoint: GET /rmg/api/release/{releaseId}/activities
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `startTs` (integer, required)

  - `endTs` (integer, required)

  - `limit` (number)
    The number of records expected

  - `cursor` (string)
    Cursor Based Pagination

  - `status` (array)

## Path parameters:

  - `releaseId` (string, required)

## Response 200 fields (application/json):

  - `activities` (array, required)
    List of activities.

  - `activities.id` (string, required)
    Unique identifier for the activity.

  - `activities.planExecutionId` (string, required)
    Plan execution identifier.

  - `activities.accountId` (string, required)
    Account identifier.

  - `activities.orgIdentifier` (string, required)
    Organization identifier.

  - `activities.projectIdentifier` (string, required)
    Project identifier.

  - `activities.pipelineIdentifier` (string, required)
    Pipeline identifier.

  - `activities.pipelineName` (string, required)
    Name of the pipeline.

  - `activities.type` (string, required)
    Type of the activity (e.g., stage, step).
    Enum: "stage", "step"

  - `activities.stageInfo` (object)
    Details about the stage activity (provided if type is stage).

  - `activities.stageInfo.type` (string, required)
    Type of the stage (e.g., CD, custom)
    Enum: "CD", "Custom", "GITOPS", "Approval"

  - `activities.stageInfo.startTs` (integer, required)
    Start timestamp of the stage.

  - `activities.stageInfo.endTs` (integer)
    End timestamp of the stage.

  - `activities.stageInfo.name` (string, required)
    Name of the stage.

  - `activities.stageInfo.identifier` (string, required)
    Identifier of the stage.

  - `activities.stageInfo.status` (string, required)
    Status of the stage.
    Enum: "ABORTED", "OUTPUT_WAITING", "ASYNC_WAITING", "APPROVAL_REJECTED", "APPROVAL_WAITING", "DISCONTINUING", "ERROR", "ERRORED", "EXPIRED", "FAILED", "FREEZE_FAILED", "IGNORE_FAILED", "INPUT_WAITING", "INTERVENTION_WAITING", "QUEUED", "REJECTED", "RESUMED", "RUNNING", "SCHEDULED", "SKIPPED", "STARTING", "STARTING_QUEUED_STEP", "SUCCESS", "SUCCEEDED", "SUSPENDED", "TIMED_WAITING", "TASK_WAITING", "UPLOAD_WAITING", "WAIT_STEP_RUNNING", "WAITING", "ON_HOLD"

  - `activities.stageInfo.info` (object, required)
    Info related to stage

  - `activities.stageInfo.info.serviceName` (string)
    Name of the service.

  - `activities.stageInfo.info.serviceId` (string)
    Identifier of the service.

  - `activities.stageInfo.info.envName` (string)
    Name of the environment.

  - `activities.stageInfo.info.envId` (string)
    Identifier of the environment.

  - `activities.stageInfo.info.artifactDisplayName` (string)
    Display name of the artifact.

  - `activities.stageInfo.stageNodeId` (string)
    Node Id of the stage.

  - `activities.stageInfo.stageExecutionId` (string)
    Stage execution Id.

  - `activities.stepInfo` (object)
    Details about the step activity (provided if type is step).

  - `activities.stepInfo.startTs` (integer, required)
    Start timestamp of the step.

  - `activities.stepInfo.endTs` (integer)
    End timestamp of the step.

  - `activities.stepInfo.type` (string, required)
    Type of the step (e.g., Approval, JiraUpdate, JiraCreate, JiraApproval).
    Enum: "HarnessApproval", "JiraUpdate", "JiraCreate", "JiraApproval"

  - `activities.stepInfo.status` (string, required)
    Status of the stage.
    Enum: "ABORTED", "OUTPUT_WAITING", "ASYNC_WAITING", "APPROVAL_REJECTED", "APPROVAL_WAITING", "DISCONTINUING", "ERROR", "ERRORED", "EXPIRED", "FAILED", "FREEZE_FAILED", "IGNORE_FAILED", "INPUT_WAITING", "INTERVENTION_WAITING", "QUEUED", "REJECTED", "RESUMED", "RUNNING", "SCHEDULED", "SKIPPED", "STARTING", "STARTING_QUEUED_STEP", "SUCCESS", "SUCCEEDED", "SUSPENDED", "TIMED_WAITING", "TASK_WAITING", "UPLOAD_WAITING", "WAIT_STEP_RUNNING", "WAITING", "ON_HOLD"

  - `activities.stepInfo.name` (string, required)
    Name of the step.

  - `activities.stepInfo.identifier` (string, required)
    Identifier of the step.

  - `activities.stepInfo.info` (object, required)
    Provided if type is Approval.

  - `activities.stepInfo.info.approvedByName` (string)
    Name of the person who approved the step.

  - `activities.stepInfo.info.approvedByEmail` (string)
    Email of the person who approved the step.

  - `activities.stepInfo.info.approvedAt` (integer)
    Timestamp of the approval.

  - `activities.stepInfo.info.comments` (string)
    Comments provided during the approval.

  - `activities.stepInfo.info.approvalAction` (string)
    Action taken for the approval.

  - `activities.stepInfo.info.jiraUrl` (string)
    URL of the Jira ticket.

  - `activities.stepInfo.info.ticketStatus` (string)
    Status of the Jira ticket.

  - `activities.stepInfo.info.issueType` (string)
    Type of the Jira issue.

  - `activities.stepInfo.stageNodeId` (string)
    Node Id of the stage.

  - `activities.stepInfo.stepExecutionId` (string)
    Step execution identifier.

  - `activities.stepInfo.stageExecutionId` (string)
    Stage Execution Id

  - `activities.triggeredBy` (object, required)
    Details of the user who triggered the activity.

  - `activities.triggeredBy.name` (string)
    Name of the person who triggered the activity.

  - `activities.triggeredBy.id` (string)
    Identifier of the person who triggered the activity.

  - `activities.triggeredBy.avatar` (string)
    Avatar URL of the person.

  - `activities.triggeredBy.triggerType` (string)
    Unit of time used for repeating releases.
    Enum: "MANUAL", "WEBHOOK", "WEBHOOK_CUSTOM", "ARTIFACT", "MANIFEST", "SCHEDULER_CRON"

  - `nextRequest` (object, required)

  - `nextRequest.cursor` (string)

  - `nextRequest.limit` (integer)

  - `last` (boolean, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


